Issue 50902 - Impress documents open on first slide
Summary: Impress documents open on first slide
Status: CLOSED FIXED
Alias: None
Product: Impress
Classification: Application
Component: viewing (show other issues)
Version: 680m107
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.0
Assignee: christian.guenther
QA Contact: issues@graphics
URL: http://specs.openoffice.org/appwide/o...
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-17 12:30 UTC by matthias.mueller-prove
Modified: 2005-08-10 09:02 UTC (History)
2 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description matthias.mueller-prove 2005-06-17 12:30:24 UTC
Impress documents open on first slide. The view mode is restored from the last
editing session.
Comment 1 matthias.mueller-prove 2005-06-17 12:31:10 UTC
new parent task id
Comment 2 matthias.mueller-prove 2005-06-30 15:22:41 UTC
spec is final - please implement section 6.4 "OOo 2.0.x (x>=0)" of the spec.
If this is not possible, please retarget this feature for OOo 2.0.1
Comment 3 groucho266 2005-07-04 13:00:58 UTC
Reassigned to CL as requested by him.
Comment 4 groucho266 2005-07-04 13:02:50 UTC
There are related issues i50901 and i51536 concerning the keyboard shortcuts.
Comment 5 clippka 2005-07-06 13:40:17 UTC
Fixed,

in FrameView::ReadUserDataSequence() I do not call SetPageKind() and
SetSelectedPage() when the current docshell is SFX_CREATE_MODE_EMBEDDED. This
way the current page and view is always drawing view on slide 0, unless we are
embedded as an ole. The page kind and selected page number is still loaded and
can be asked from the FrameView with the new methods GetPageKindOnLoad() and
GetSelectedPageOnLoad().
Comment 6 clippka 2005-07-12 08:41:17 UTC
verified on cws, back to qa

re-open issue and reassign to cgu@openoffice.org
Comment 7 clippka 2005-07-12 08:41:21 UTC
reassign to cgu@openoffice.org
Comment 8 clippka 2005-07-12 08:41:26 UTC
reset resolution to FIXED
Comment 9 christian.guenther 2005-07-12 17:00:45 UTC
Verified in cws impress63
Comment 10 christian.guenther 2005-07-20 11:42:44 UTC
Integrated in src680m118.
Comment 11 groucho266 2005-08-10 09:02:13 UTC
See issue 50901 for adding the Shift-F5 accelerator for jumping back to the
slide last edited.